Correction of namespace names in Sanskrit
Closed, ResolvedPublic

Description

Full namespaces table

EnglishOld SanskritNew SanskritStatus
(Main)मुख्यम्मुख्यम्Not need
Talkसम्भाषणम्सम्भाषणम्Not need
Userयोजकःसदस्यःDone, 9251ce2acdb5
User Talkयोजकसम्भाषणम्सदस्यसम्भाषणम्Done, 9251ce2acdb5
WikipediaविकिपीडियाविकिपीडियाNot need
Wikipedia talkविकिपीडियासम्भाषणम्विकिपीडियासम्भाषणम्Not need
WiktionaryWiktionaryविकिशब्दकोशःDone, 0e2bb106cdfe
Wiktionary talkWiktionaryसम्भाषणम्विकिशब्दकोशसम्भाषणम्Done, 0e2bb106cdfe
WikibooksWikibooksविकिपुस्तकानिDone, 0e2bb106cdfe
Wikibooks talkWikibooksसम्भाषणम्विकिपुस्तकसम्भाषणम्Done, 0e2bb106cdfe
Wikiquoteविकिसूक्तिःविकिसूक्तिःNot need
Wikiquote talkWikiquoteसम्भाषणम्विकिसूक्तिसम्भाषणम्Done, 0d2c32d33c9c
WikisourceWikisourceविकिस्रोतःDone, 0e2bb106cdfe
Wikisource talkWikisourceसम्भाषणम्विकिस्रोतस्सम्भाषणम्Done, 0e2bb106cdfe
Fileचित्रम्सञ्चिकाDone, 9251ce2acdb5
File talkचित्रसम्भाषणम्सञ्चिकासम्भाषणम्Done, 9251ce2acdb5
MediaWikiमीडियाविकीमीडियाविकिDone, 9251ce2acdb5
MediaWiki talkमीडियाविकीसम्भाषणम्मीडियाविकिसम्भाषणम्Done, 9251ce2acdb5
Templateफलकम्फलकम्Not need
Template talkफलकस्य सम्भाषणम्फलकसम्भाषणम्Done, 9251ce2acdb5
Helpसहाय्यम्साहाय्यम्Done, 9251ce2acdb5
Help talkसहाय्यस्य सम्भाषणम्साहाय्यसम्भाषणम्Done, 9251ce2acdb5
Categoryवर्गःवर्गःNot need
Category talkवर्गसम्भाषणम्वर्गसम्भाषणम्Not need
Portalप्रवेशद्वारम्प्रवेशद्वारम्Not need
Portal talkसहाय्यस्य प्रवेशद्वारम्प्रवेशद्वारसम्भाषणम्Done, 81bee9a201d5
ModuleModuleपटलम्Done, 5e3c86bae563
Module talkModule talkपटलसम्भाषणम्Done, 5e3c86bae563
Specialविशेषम्विशेषःDone, 9251ce2acdb5
(For Wikisource) Indexअनुक्रमणिकाअनुक्रमणिकाNot need
(For Wikisource) Index talkअनुक्रमणिकासंवादअनुक्रमणिकासम्भाषणम्Done, 213b3e34edf0
(For Wikisource) Pageपुटम्पृष्ठम्Done, 213b3e34edf0
(For Wikisource) Page talkपुटसंवादपृष्ठसम्भाषणम्Done, 213b3e34edf0

Namespaces to update in config

Project dbEnglishOld SanskritNew SanskritChange
sawikiPortal talkसहाय्यस्य प्रवेशद्वारम्प्रवेशद्वारसम्भाषणम्332967
sawiktionaryWiktionaryWiktionaryविकिशब्दकोशः333640
sawiktionaryWiktionary talkWiktionaryसम्भाषणम्विकिशब्दकोशसम्भाषणम्333640
sawikibooksWikibooksWikibooksविकिपुस्तकानि333640
sawikibooksWikibooks talkWikibooksसम्भाषणम्विकिपुस्तकसम्भाषणम्333640
sawikiquoteWikiquote talkWikiquoteसम्भाषणम्विकिसूक्तिसम्भाषणम्337345
sawikisourceWikisourceWikisourceविकिस्रोतः333640
sawikisourceWikisource talkWikisourceसम्भाषणम्विकिस्रोतस्सम्भाषणम्333640
There are a very large number of changes, so older changes are hidden. Show Older Changes

Portal - प्रवेशद्वारम्
Portal talk - सहाय्यस्य प्रवेशद्वारम्

In these two translation second is wrong.

Portal Talk = प्रवेशद्वारसम्भाषणम्

Liuxinyu970226 updated the task description. (Show Details)
Liuxinyu970226 updated the task description. (Show Details)

Change 332967 had a related patch set uploaded (by Dereckson):
Fix Portal talk namespace name on Sanskrit Wikipedia

https://gerrit.wikimedia.org/r/332967

Portal - प्रवेशद्वारम्
Portal talk - सहाय्यस्य प्रवेशद्वारम्

In these two translation second is wrong.

Portal Talk = प्रवेशद्वारसम्भाषणम्

Can you check the spelling is correct in https://gerrit.wikimedia.org/r/#/c/332967/2/wmf-config/InitialiseSettings.php?

The top entry is the incorrect spelling as alias to avoid to break current links, the bottom entry is the correct one as the main name of the namespace.

Can you check the spelling is correct in https://gerrit.wikimedia.org/r/#/c/332967/2/wmf-config/InitialiseSettings.php?

Line no- 5396 is okay. but 3703 is wrong.

And 3703 is the current wrong namespace?

This is wrong.

This is wrong.

Yes, but we need there the current (so wrong) namespace: that will allow current link to work

Sorry for that. Line no- 5396 is okay. and you will change this so everything will be okay. :)

Okay, I'll deploy this in 3 hours.

Change 332967 merged by jenkins-bot:
Fix Portal talk namespace name on Sanskrit Wikipedia

https://gerrit.wikimedia.org/r/332967

Mentioned in SAL (#wikimedia-operations) [2017-01-19T14:34:58Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Fix Portal talk namespace name on Sanskrit Wikipedia (T101634) (duration: 00m 39s)

Mentioned in SAL (#wikimedia-operations) [2017-01-19T14:40:13Z] <Dereckson> mwscript namespaceDupes.php sawiki --fix (T101634)

@NehalDaveND Could you check this template?

It contains a link to विशेष:Specialpages and another link to विशेष:सांख्यिकी . Both links are reported invalid.


Terbium
$ mwscript namespaceDupes.php sawiki --fix
0 pages to fix, 0 were resolvable.

pagelinks from=8627 ns=0 dbk=विशेष:Specialpages *** INVALID
pagelinks from=8628 ns=0 dbk=विशेष:Specialpages *** INVALID
pagelinks from=8627 ns=0 dbk=विशेष:सांख्यिकी *** INVALID
pagelinks from=8628 ns=0 dbk=विशेष:सांख्यिकी *** INVALID
pagelinks from=9431 ns=0 dbk=WP:MOS -> विकिपीडिया:MOS
pagelinks from=12491 ns=0 dbk=WP:TW -> विकिपीडिया:TW
pagelinks from=15686 ns=0 dbk=WT:Gadget -> विकिपीडियासम्भाषणम्:Gadget
pagelinks from=12491 ns=0 dbk=WT:TW -> विकिपीडियासम्भाषणम्:TW
pagelinks from=12492 ns=0 dbk=WT:TW -> विकिपीडियासम्भाषणम्:TW
pagelinks from=12490 ns=0 dbk=Wikipedia_talk:Twinkle -> विकिपीडियासम्भाषणम्:Twinkle
10 links to fix, 6 were resolvable.

Looks good!

$ mwscript namespaceDupes.php sawiki
0 pages to fix, 0 were resolvable.

pagelinks from=8627 ns=0 dbk=विशेष:Specialpages *** INVALID
pagelinks from=8628 ns=0 dbk=विशेष:Specialpages *** INVALID
pagelinks from=8627 ns=0 dbk=विशेष:सांख्यिकी *** INVALID
pagelinks from=8628 ns=0 dbk=विशेष:सांख्यिकी *** INVALID
4 links to fix, 0 were resolvable.

8627 and 8628 are a template and a page including the template, so you only need to fix the links in the template, and purge the other page, that will take care of the issue.

Dereckson updated the task description. (Show Details)
Dereckson updated the task description. (Show Details)Jan 19 2017, 2:51 PM

So, to summarize the current status, there are still two things to do:

  • prepare a config change in rOMWC for the NS_PROJECT / NS_PROJECT_TALK second table in task description
  • add support for aliases in Proofreadpage extension (that's T155737) and once ready, amend and merge Gerrit change 287396.

@NehalDaveND Could you check this template?

This is not a special page in sa.wikipedia I think some old user make mistake in this page. I don't know what should here. Please tell me if any code or template should be here I can do so. Thank you for help.

So, to summarize the current status, there are still two things to do:

  • prepare a config change in rOMWC for the NS_PROJECT / NS_PROJECT_TALK second table in task description
  • add support for aliases in Proofreadpage extension (that's T155737) and once ready, amend and merge Gerrit change 287396.

Please tell me how can I help you to go ahead.

Dereckson added a comment.EditedJan 22 2017, 11:51 AM

I think all is on order for NS_PROJECT / NS_PROJECT_TALK and I'll do them Monday. For Index: and Page:, I'll coordinate with Tpt, who maintain the Proofreadpage extension.

@NehalDaveND Could you check this template?

This is not a special page in sa.wikipedia I think some old user make mistake in this page. I don't know what should here. Please tell me if any code or template should be here I can do so. Thank you for help.

Rewrite these two links correctly, to the canonical namespace, avoiding unusual case:

  • विशेष:Specialpages
  • विशेष:सांख्यिकी

Rewrite these two links correctly, to the canonical namespace, avoiding unusual case:

  • विशेष:Specialpages
  • विशेष:सांख्यिकी
  • विशेष:Specialpages = विशेषः:विशेषपृष्टानि
  • विशेष:सांख्यिकी = विशेषः:सांख्यिकी

Taking this task to solve site names / NS_PROJECT / NS_PROJECT_TALK

Change 333640 had a related patch set uploaded (by Dereckson):
Set site name and meta namespace for Sanskrit wikis

https://gerrit.wikimedia.org/r/333640

Mentioned in SAL (#wikimedia-operations) [2017-01-23T14:14:00Z] <Dereckson> Fix namespaces dupes on sa.wikisource to prepare T101634 / [[Gerrit:333640]]

@NehalDaveND Another thing to solve;

There were two साहाय्यम्:आन्तर्यम् pages on sa.wikisource. Histories weren't mergeable, so I renamed the page 6478 as "साहाय्यम्:आन्तर्यम् २"
id=6478 ns=0 dbk=साहाय्यम्:आन्तर्यम् -> साहाय्यम्:आन्तर्यम्_२

You probably want to check the two pages to decide which one is the right version, delete the other and perhaps merge histories.

Change 333640 merged by jenkins-bot:
Set site name and meta namespace for Sanskrit wikis

https://gerrit.wikimedia.org/r/333640

Mentioned in SAL (#wikimedia-operations) [2017-01-23T15:00:07Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Set site name and meta namespace for Sanskrit wikis (T101634) (duration: 00m 40s)

Namespaces fix after deployment

Wikisource

There were sometimes THREE versions of the pages.

  • id=14287 ns=0 dbk=विकिस्रोतः:Sandbox -> विकिस्रोतः:Sandbox_२
  • id=8856 ns=0 dbk=विकिस्रोतः:_Sandbox -> विकिस्रोतः:Sandbox_३ (alternate)
  • id=7382 ns=0 dbk=विकिस्रोतः:_प्रबन्धकाः -> विकिस्रोतः:प्रबन्धकाः_३ (alternate)
  • id=5173 ns=0 dbk=विकिस्रोतः:प्रबन्धकाः -> विकिस्रोतः:प्रबन्धकाः_२ (alternate)

All others were done merging histories.

Wiktionary

All looks good.

Wikibooks

All looks good.

Status: all done, some cleaning required for dupe pages, next step is to solve T155737 for Proofreadpages namespaces.

Dereckson updated the task description. (Show Details)Jan 23 2017, 3:09 PM

Mentioned in SAL (#wikimedia-operations) [2017-01-23T15:17:36Z] <Dereckson> Fixed namespaces dupes following NS_PROJECT update on sa.wikisource (T101634)

Anomie added a subscriber: Anomie.

Removing MediaWiki-extensions-Scribunto since that was fixed almost a year ago.

Anomie removed a subscriber: Anomie.Jan 23 2017, 3:21 PM

Please tell me how can I fix this. In that page some useless thing is putted. Please tell me what code or links I should put into that page.

Please tell me how can I fix this. In that page some useless thing is putted. Please tell me what code or links I should put into that page.

done by me

Liuxinyu970226 added a comment.EditedFeb 7 2017, 12:22 AM

@NehalDaveND Another thing to solve;

There were two साहाय्यम्:आन्तर्यम् pages on sa.wikisource. Histories weren't mergeable, so I renamed the page 6478 as "साहाय्यम्:आन्तर्यम् २"
id=6478 ns=0 dbk=साहाय्यम्:आन्तर्यम् -> साहाय्यम्:आन्तर्यम्_२

You probably want to check the two pages to decide which one is the right version, delete the other and perhaps merge histories.

So साहाय्यम्:आन्तर्यम्, विकिस्रोतः:प्रबन्धकाः, and विकिस्रोतः:Sandbox are now self-redirects. Regarding the duplicate pages that moved, I'm not sure if my guesses are correct or not (as non of them are Wikidata-linked):

  • साहाय्यम्:आन्तर्यम्_२ only contains a link to साहाय्यम्:परिष्करणम्, so either it's a wrongly redirect (i.e. change साहाय्यम्:आन्तर्यम् and साहाय्यम्:आन्तर्यम्_२ to an actual redirect), or if that is an index page, then we can delete साहाय्यम्:आन्तर्यम् (no edits since creation), then rename साहाय्यम्:आन्तर्यम्_२ back to साहाय्यम्:आन्तर्यम्.
  • Regarding sandboxes, since विकिस्रोतः:Sandbox has 3 histories we can't safely delete, विकिस्रोतः:Sandbox_२ is text-only, while विकिस्रोतः:Sandbox_३ has {{/Please do not edit this line}} (note: [[ विकिस्रोतः:Sandbox/Please do not edit this line | here ]] is that subpage).
  • Per sawikisource list of sysops, विकिस्रोतः:प्रबन्धकाः should be the "Project:Administrators", and for now, विकिस्रोतः:प्रबन्धकाः_३ contains one of two sysops, but why विकिस्रोतः:प्रबन्धकाः_२ is empty now? So it makes sense to just delete the de facto विकिस्रोतः:प्रबन्धकाः, and move विकिस्रोतः:प्रबन्धकाः_३ back to विकिस्रोतः:प्रबन्धकाः

Anyway, the sysops are @Sbblr0803 and @Shubha , so if deletion needed, tell them on their talk pages.

Liuxinyu970226 added a comment.EditedFeb 7 2017, 1:06 AM

PS: Where's the documentation for Special:Mergehistory usage? https://www.mediawiki.org/wiki/Help:Merge_history only tells me that users who have 'mergehistory' rights (i.e. 'sysop') can use that special page, and such actions are logged in Special:Log/merge

Change 287396 merged by jenkins-bot:
Localize namespaces Page and Index in Sanskrit

https://gerrit.wikimedia.org/r/287396

I updated the code of the ProofreadPage extension, so it supports aliases, then updated the Page: and Index: translations.

The change will reach Wikisource this Wednesday.

Dereckson added a comment.EditedFeb 13 2017, 12:52 AM

Another issue has been solved with the help of @NehalDaveND and sa.wikisource admins:

Terbium
$ mwscript namespaceDupes.php sawikisource
0 pages to fix, 0 were resolvable.

0 links to fix, 0 were resolvable.

Looks good!

@NehalDaveND Next issue is the Wikiquote talk namespace.

Old value in 2015Current valueRequest in task description
Wikiquoteसम्भाषणम्विकिसूक्तिःसम्भाषणम्विकिसूक्तिसम्भाषणम्

We need to rename that one too, right?

Change 337345 had a related patch set uploaded (by Dereckson):
Update Wikiquote talk namespace in Sanskrit Wikisource

https://gerrit.wikimedia.org/r/337345

Dereckson updated the task description. (Show Details)Feb 13 2017, 1:06 AM
Dereckson updated the task description. (Show Details)
Dereckson updated the task description. (Show Details)Feb 13 2017, 1:12 AM

@NehalDaveND Next issue is the Wikiquote talk namespace.

Old value in 2015Current valueRequest in task description
Wikiquoteसम्भाषणम्विकिसूक्तिःसम्भाषणम्विकिसूक्तिसम्भाषणम्

We need to rename that one too, right?

Yes. This is needed. :)

@NehalDaveND Another thing to solve;

There were two साहाय्यम्:आन्तर्यम् pages on sa.wikisource. Histories weren't mergeable, so I renamed the page 6478 as "साहाय्यम्:आन्तर्यम् २"
id=6478 ns=0 dbk=साहाय्यम्:आन्तर्यम् -> साहाय्यम्:आन्तर्यम्_२

You probably want to check the two pages to decide which one is the right version, delete the other and perhaps merge histories.

So साहाय्यम्:आन्तर्यम्, विकिस्रोतः:प्रबन्धकाः, and विकिस्रोतः:Sandbox are now self-redirects. Regarding the duplicate pages that moved, I'm not sure if my guesses are correct or not (as non of them are Wikidata-linked):

  • साहाय्यम्:आन्तर्यम्_२ only contains a link to साहाय्यम्:परिष्करणम्, so either it's a wrongly redirect (i.e. change साहाय्यम्:आन्तर्यम् and साहाय्यम्:आन्तर्यम्_२ to an actual redirect), or if that is an index page, then we can delete साहाय्यम्:आन्तर्यम् (no edits since creation), then rename साहाय्यम्:आन्तर्यम्_२ back to साहाय्यम्:आन्तर्यम्.
  • Regarding sandboxes, since विकिस्रोतः:Sandbox has 3 histories we can't safely delete, विकिस्रोतः:Sandbox_२ is text-only, while विकिस्रोतः:Sandbox_३ has {{/Please do not edit this line}} (note: [[ विकिस्रोतः:Sandbox/Please do not edit this line | here ]] is that subpage).
  • Per sawikisource list of sysops, विकिस्रोतः:प्रबन्धकाः should be the "Project:Administrators", and for now, विकिस्रोतः:प्रबन्धकाः_३ contains one of two sysops, but why विकिस्रोतः:प्रबन्धकाः_२ is empty now? So it makes sense to just delete the de facto विकिस्रोतः:प्रबन्धकाः, and move विकिस्रोतः:प्रबन्धकाः_३ back to विकिस्रोतः:प्रबन्धकाः Anyway, the sysops are @Sbblr0803 and @Shubha , so if deletion needed, tell them on their talk pages.

Has this been finished or not? Because I told sysop to do this.

Dereckson added a comment.EditedFeb 13 2017, 4:47 AM

Yes, it's solved:

Terbium
$ mwscript namespaceDupes.php sawikisource
0 pages to fix, 0 were resolvable.

0 links to fix, 0 were resolvable.

Looks good!

Change 337345 merged by jenkins-bot:
Update Wikiquote talk namespace in Sanskrit Wikisource

https://gerrit.wikimedia.org/r/337345

Change 337402 had a related patch set uploaded (by Dereckson):
Support legacy Wikiquote talk namespace in Sanskrit Wikisource

https://gerrit.wikimedia.org/r/337402

Change 337402 merged by jenkins-bot:
Support legacy Wikiquote talk namespace in Sanskrit Wikisource

https://gerrit.wikimedia.org/r/337402

Mentioned in SAL (#wikimedia-operations) [2017-02-13T15:06:35Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: T101634 [[gerrit:337345|Update Wikiquote talk namespace in Sanskrit Wikisource]] and [[gerrit:337402|Support legacy Wikiquote talk namespace in Sanskrit Wikisource]] (duration: 00m 40s)

Dereckson updated the task description. (Show Details)Mar 16 2017, 1:39 PM
Dereckson moved this task from To deploy to Done on the Wikimedia-Site-requests board.

@NehalDaveND It seems all is done now, can you review the table and confirm if all looks good or if we need more work?

@NehalDaveND It seems all is done now, can you review the table and confirm if all looks good or if we need more work?

Yes all is good. Thanks to you for Sanskrit Wiki help. :)

Dereckson closed this task as Resolved.Mar 21 2017, 10:49 PM

You're welcome :)

We apologize for the long delay needed. I suggest next time we need to do something like this to directly split the request in smallest parts, so we can directly focus on each part.